# Interface EntityBaseDto

Data transfer object for markup entities, this represents the entity data that will be saved to the layer.

interface EntityBaseDto {
id: string;
properties: { [key: string]: string | number | boolean };
}

#### Hierarchy (View Summary)

- EntityBaseDto
  - SheetDto
  - AreaDto
  - LineDto
  - ArrowDto
  - TextDto
  - CircleDto

##### Index

### Properties

id
properties

## Properties

### id

id: string

### properties

properties: { [key: string]: string | number | boolean }